#!/bin/bash

. ParseDico

MDIR="/usr/share/era/modeles"

## existance du fichier xml firewall
if [ ! -e $MDIR/${type_amon}.xml ]
then
	echo "!! Modèle ${type_amon}.xml non trouvé !!"
	exit 1
fi

# script de lancement du compilateur de regle (backend) era
export PYTHONPATH=/usr/share/
cd /usr/share/era/
./backend/compiler -f /var/www/ead/tmp/regles.csv -o /etc/sysconfig/eole/firewall.tmpl -a /usr/share/era/backend/data/active_tags $MDIR/${type_amon}.xml
if [ $? -eq 1 ]; then
	exit 1
fi

# instanciation "manuelle" du script de firwall
/usr/share/creole/creolecat.py -x /etc/eole/dicos -o /sbin/lance.firewall -i /etc/eole/config.eol /etc/sysconfig/eole/firewall.tmpl

if [ -e "/var/www/ead/tmp/regles.csv" ]
then	
	/bin/chown www-data:www-data /var/www/ead/tmp/regles.csv
fi

# attribution des droits au fichier lance.firewall
chmod 700 /sbin/lance.firewall

# lancement du script iptables
/sbin/lance.firewall

# ajout des règles pour les postes clients interdits
python /usr/share/era/postes_interdits.py

